Bug 567120 - perl-Set-Scalar: please update to v1.25 and create EPEL branches
Summary: perl-Set-Scalar: please update to v1.25 and create EPEL branches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Set-Scalar
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-21 18:49 UTC by Jose Pedro Oliveira
Modified: 2010-04-01 21:05 UTC (History)
2 users (show)

Fixed In Version: perl-Set-Scalar-1.25-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-11 07:15:31 UTC
Type: ---
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2010-02-21 18:49:44 UTC
Description of the problems:
The latest upstream version is 1.25; there are no EPEL branches (in particular EPEL5)

Version-Release number of selected component (if applicable):
Current rawhide version 1.23-4


Expected results:
To have Set::Scalar 1.25 available in Fedora and in EPEL repositories.


Additional info:
* Set::Scalar 1.25 
  http://search.cpan.org/~jhi/Set-Scalar-1.25/

* Diff from Set-Scalar-1.23 to Set-Scalar-1.25
  http://search.cpan.org/diff?from=Set-Scalar-1.23&to=Set-Scalar-1.25

Comment 1 Tom "spot" Callaway 2010-02-22 18:58:38 UTC
Do you need this in any particular Fedora release besides rawhide? If you have a need, I'll push updates to stable branches, but I'd rather not just push updates for the sake of pushing updates. :)

Comment 2 Tom "spot" Callaway 2010-02-22 19:23:30 UTC
Package Change Request
======================
Package Name: perl-Set-Scalar
New Branches: EL-5
Owners: spot

Comment 3 Jose Pedro Oliveira 2010-02-22 19:58:29 UTC
(In reply to comment #1)
> Do you need this in any particular Fedora release besides rawhide? If you have
> a need, I'll push updates to stable branches, but I'd rather not just push
> updates for the sake of pushing updates. :)    

No, a rawhide and an EPEL5 builds are enough for me.

thks,
jpo

Comment 4 Jason Tibbitts 2010-02-23 17:08:47 UTC
CVS done.

Comment 5 Jose Pedro Oliveira 2010-03-01 22:47:38 UTC
Spot,

Could you build perl-Set-Scalar for EPEL5?
The EL-5 branch has already been created by Jason.

tia,
jpo

Comment 6 Jose Pedro Oliveira 2010-03-09 15:23:00 UTC
Would be possible to have version 1.23 built instead (the same that is available for Fedora 11, 12, and 13) and pushed for updates-testing?

Jason created the EPEL-5 branch based on version 1.20 (Fedora 8?).

tia,
jpo

Comment 7 Fedora Update System 2010-03-09 16:12:17 UTC
perl-Set-Scalar-1.25-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Set-Scalar-1.25-1.el5

Comment 8 Jose Pedro Oliveira 2010-03-09 16:29:19 UTC
Spot,

Thanks!

jpo

Comment 9 Fedora Update System 2010-03-09 16:40:57 UTC
perl-Set-Scalar-1.25-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Set-Scalar-1.25-1.fc13

Comment 10 Ralf Corsepius 2010-03-10 05:57:39 UTC
Please also update FC12 and FC11.

Updating EPEL5 and FC14/FC13 only is not helpful.

Comment 11 Tom "spot" Callaway 2010-03-10 13:47:34 UTC
Unless there is a valid need to push updates to stable releases (and no, "keeping up with CPAN" is not a valid need), I do not push updates.

F-13 got the update because it is not yet released.
Rawhide got the update because thats always appropriate.
EL-5 got the update because it had never had a release.

I asked the reporter (jpo) if he had a need for this update in F-11/F-12, and he replied that he did not. If you can come up with a valid need, I'll consider pushing the update for F-11/F-12.

Comment 12 Ralf Corsepius 2010-03-10 14:00:08 UTC
(In reply to comment #11)
> Unless there is a valid need to push updates to stable releases (and no,
> "keeping up with CPAN" is not a valid need),
It is - You are 

> I do not push updates.
I did not expect a different answer from you. Thanks for contributing your  share to ruinating Fedora by doing a poor job.

> F-13 got the update because it is not yet released.
> Rawhide got the update because thats always appropriate.
> EL-5 got the update because it had never had a release.
If you think pushing an untested package into a supposed to be "outdated" distro for beta-testing is a wise decision, I have to disagree.

> I asked the reporter (jpo) if he had a need for this update in F-11/F-12, and
> he replied that he did not. If you can come up with a valid need, I'll consider
> pushing the update for F-11/F-12.    
Pardon, put provided the current insanity of FESCO and FPB, I am not interested in further discussions with you.

Comment 13 Fedora Update System 2010-03-11 07:15:26 UTC
perl-Set-Scalar-1.25-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-01 21:05:50 UTC
perl-Set-Scalar-1.25-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.